@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Template:   cocoon-master
Version:    0.0.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/******************
 css リセット 
******************/
h1.entry-title,
.article h2,
.article h3,
.article h4,
.article h5,
.article h6{
	background-color: transparent;
	font-weight:normal;
}
.article h3,
.article h4,
.article h5,
.article h6{
	border-color: currentColor;
	border-style:none;
}
/**********************************************
 ●固定ページ用ウィジェット Accordion Menu●
   ウィジェットタイトル　リセット
**********************************************/
#nextendaccordionmenuwidget-4 .main-widget-label,.excel_menu{
	border-color: currentColor;
	border-style:none;
	font-size:medium;
}
.accordion_menu_page dt.active a span {
	font-weight:normal;
}
.accordion_menu_page dt.active a span:hover {
	color:#000;
}



/* ●リンク● */
a{
	color:#369ded;
}
a:hover{
	color:#ed3795;
}
/* ●ヘッダー高さと背景● */
#header{
	height:60px;
	padding:5px;
	background:#025389;
	-webkit-box-shadow:20px 17px 33px 0px #13263d inset,-20px -17px 33px 0px #13263d inset;
	-moz-box-shadow:20px 17px 33px 0px #13263d inset,-20px -17px 33px 0px #13263d inset;
	box-shadow:20px 17px 33px 0px #13263d inset,-20px -17px 33px 0px #13263d inset;
}
#header-in{
	height:50px;
	padding:4px;
	border:2px dashed #ddd;
}
.logo-image{
	height:40px;
	padding:0;
}
/*
#header{
	height:60px;
	background: -moz-radial-gradient(#999, #025389, #002645);
	background: -webkit-radial-gradient(#999, #025389, #002645);
	background: radial-gradient(#999, #025389, #002645);
	padding:10px;
}
*/
/* ●見出しタグ● */
/*
h1.entry-title{
	position: relative;
	padding: 0.5em;
	color:#fff;
	background: #304f73;
	box-shadow: 0px 0px 0px 5px #304f73;
	border: dashed 1px white;
	font-weight:normal;
}
h1.entry-title::before {
	position: absolute;
	content: '';
	bottom: -26px;
	left: -6px;
	border-width: 20px 20px 0 0;
	border-style: solid;
	border-color: #031a35 transparent transparent;
}
*/
h1.entry-title{
	position: relative;
	color:#fff;
	padding: 0.2em 0.5em;
	background: #304f73;
	box-shadow: 0px 0px 0px 5px #304f73;
	border: dashed 1px white;
}
h1.entry-title::after{
	position: absolute;
	content: '';
	left: -7px;
	top: -7px;
	border-width: 0 0 15px 15px;
	border-style: solid;
	border-color: #fff #fff #17375c;
	box-shadow: 1px 1px 1px #313840;
}
.article h2{
	position: relative;
	padding:0.4em 0.6em;
	background: #fff;
}
.article h2::before,.article h2::after{
	position: absolute;
	left: 0;
	content: '';
	width: 100%;
	height: 6px;
	box-sizing: border-box;
}
.article h2::before{
	top: 0;
	border-top: 2px solid  #304f73;
	border-bottom: 1px dashed #304f73;
}
.article h2::after{
	bottom: 0;
	border-top: 1px dashed #304f73;
	border-bottom: 2px solid #304f73;
}
.article h3,.article h4,.article h5,.article h6{
	position: relative;
	padding:0.4em 0.8em;
	background: #fff;
	border-left: 2px solid  #304f73;
	border-top: 1px solid  #d4d4d4;
	border-bottom: 1px solid  #d4d4d4;
	border-right: none;
}
.article h3::before,.article h4::before,.article h5::before,.article h6::before{
	position: absolute;
	top: 5%;
	left: 0;
	content: '';
	width: 6px;
	height: 90%;
	box-sizing: border-box;
	border-right: 1px dashed #304f73;
}
.article h4{
	border-left: 2px solid  #a93978;
}
.article h4::before{
	border-right: 1px dashed #a93978;
}
.article h5{
	border-left: 2px solid  #736930;
}
.article h5::before{
	border-right: 1px dashed #736930;
}
.article h6{
	border-left: 2px solid  #e1e269;
}
.article h6::before{
	border-right: 1px dashed #e1e269;
}
/*********************************************
サイドバータイトル、関連記事タイトル、コメントタイトル
サイドバータイトルは今の所「サイト内検索」のみ。
**********************************************
サイドバータイトルのみ、背景色は「style.css」でスタイル設定されている。
.sidebar h3 {
background-color: #f3f4f5;
*********************************************/
.widget-sidebar-title,
.related-entry-heading,
.comment-title{
	position: relative;
	padding:0.4em 0.8em;
	border-left: 2px solid  #304f73;
	border-top: 1px solid  #d4d4d4;
	border-bottom: 1px solid  #d4d4d4;
	border-right: none;
	border-right: 2px solid  #304f73;
	text-align:center;
	font-weight:normal;
}
.widget-sidebar-title::before,
.related-entry-heading::before,
.comment-title::before{
	position: absolute;
	top: 5%;
	left: 0;
	content: '';
	width: 6px;
	height: 90%;
	box-sizing: border-box;
	border-right: 1px dashed #304f73;
}
.widget-sidebar-title::after,
.related-entry-heading::after,
.comment-title::after{
	position: absolute;
	top: 5%;
	right: 0;
	content: '';
	width: 6px;
	height: 90%;
	box-sizing: border-box;
	border-left: 1px dashed #304f73;
}
/* ●VB ソースの pre タグ● */
/* 文字サイズは 16px Cocoon 設定 → 全体 */
.hljs,.vbnet{
	line-height:20px;
}
/* ●パンくずリスト● */
.breadcrumb span{
	font-size:16px;
}
.breadcrumb .fa::before{
	color:#369ded;
}
.breadcrumb a{
	color:#369ded;
}
.breadcrumb a:hover{
	color:#ed3795;
}
/* ●固定ページ用ウィジェット Accordion Menu● */
/* ウィジェットタイトル */
#nextendaccordionmenuwidget-4{
	max-width:520px;
}
#nextendaccordionmenuwidget-4 .main-widget-label,.excel_menu{
	position: relative;
	padding:0.2em 1em;
	background: -moz-linear-gradient(#80570e, #edd2a2, #efeae1);
	background: -webkit-linear-gradient(#80570e, #edd2a2, #efeae1);
	background: linear-gradient(#80570e, #edd2a2, #efeae1);
	border-left: 2px solid  #3a2602;
	border-right: 2px solid  #3a2602;
	text-align:center;
	color:#000;
	font-size:20px;
}
.excel_menu{
	text-decoration:none;
}
#nextendaccordionmenuwidget-4 .main-widget-label::before,.excel_menu::before{
	position: absolute;
	top: 5%;
	left: 0;
	content: '';
	width: 6px;
	height: 90%;
	box-sizing: border-box;
	border-right: 1px dashed #3a2602;
}
#nextendaccordionmenuwidget-4 .main-widget-label::after,.excel_menu::after{
	position: absolute;
	top: 5%;
	right: 0;
	content: '';
	width: 6px;
	height: 90%;
	box-sizing: border-box;
	border-left: 1px dashed #3a2602;
}
.accordion_menu_page dt.active a span {
	background-color:#d3f5ce;
	font-weight:bold;
}
.accordion_menu_page dt.active a span:hover {
	color:#000;
}
.accordion_menu_page dt.active a span::before {
	content:"◆ ";
	color:#0d550a;
}
.accordion_menu_page dt.active a span::after {
	content:" ◆";
	color:#0d550a;
}


/* ■■ Excelを使ったデータベース操作 ■■ */
/* 構文 */
.ex_syntax,.ex_syntax_return,.ex_syntax_details {
	margin-left:1em;
}
.ex_syntax::before {
	margin-left:-1em;
	content:"◆構文\A";
	white-space:pre;
	color:red;
}
.ex_syntax_return::before {
	margin-left:-1em;
	content:"◆戻り値\A";
	white-space:pre;
	color:red;
}
.ex_syntax_details::before {
	margin-left:-1em;
	content:"◆構文詳細\A";
	white-space:pre;
	color:red;
}
.ex_syntax span,.ex_syntax_return span,.ex_syntax_details span {
	background-color:#dddddd;
}
/* 画像説明テキスト */
.img_description {
	margin-bottom:0;
	color:#3333FF;
}
.img_description::before {
	content:"◆ ";
	color:#3333FF;
}
/* 複数画像を回し込み */
.img_float {
	margin:0 8px 0 0;
	float:left;
}
.img_float figcaption{
	text-align:center;
}
.img_float_clear{
	height:0;
	clear:both;
}
/* 表 */
.excel_tbl{
}
.excel_tbl th, .excel_tbl td {
}
.excel_tbl caption{
	margin-left:1em;
	text-align:left;
}
.excel_tbl caption::before {
	margin-left:-1em;
	content:"◆ ";
	color:orange;
}
.excel_tbl th{
	font-weight:normal;
	background-color:#ccffcc;
}
/* 説明用テキスト */
.dscr1{
	margin-left:1em;
}
.dscr2{
	margin-left:1em;
}
.dscr1::before {
	margin-left:-1em;
	content:"◆ ";
	color:red;
}
.dscr2::before {
	margin-left:-1em;
	content:"※ ";
	color:red;
}
/* イミディエイトウィンドウ */
.immediate {
	color:#ffffff;
	background-color:#2222ff;
}
.immediate + p{
	font-size:12px;
}
/* VBA のコメント文字列に相当する文字*/
.vba_str{
	color:green;
}



/* 文字色 */
.textcolor_clear{
	color:initial;
}
.textcolor_red{
	color:red;
}
.textcolor_blue{
	color:blue;
}
/* 背景色 */
.bg_color_lightgray{
	background-color:lightgray;
}




/* excel006ページ「レコードセットのイメージ」用 - table*/
.recordset{
	width:220px;
	text-align:center;
}
.recordset th{
	font-weight:normal;
	background-color:#ccc;
}
/* excel037ページ「ExcelVBAからAccessを扱うには参照設定が必要」背景色用 */
.text_bold{
	font-weight:bold;
}
/* excel045ページ「schema.ini ファイルの内容」表内の表見出し */
/* excel055ページ Streamオブジェクトのプロパティ */
.excel_tbl table th{
	font-weight:normal;
	background-color:#ccccff;
}
/* excel047ページ「GetStringメソッドを使用して文字列として取得し…」のリスト - TAB で右側の文字先頭をそろえる */
.like_pre{
	list-style-type:none;
}
.like_pre pre{
	margin:0;
	padding:4px;
	font-family:sans-serif;
	font-size:16px;
	line-height:18px;
	border:initial;
}
/* excel054ページ 「名前付きコマンドを実行する際には、」後の表 */
.ex_054 {
	margin-left:1em;
}
/* 画像前後のテキストに関する設定 */
.img_btwn_red{
	display:block;
	color:red;
	font-weight:bold;
	text-align:center;
}
.img_btwn_clear{
	display:block;
	color:initial;
	font-weight:initial;
	text-align:initial;
}
/* excel008ページ「レコードを削除する - 実行結果」画像前後のテキスト用 */
.ex008_wdt {
	width:587px;	/* 前後の画像の幅 */
}
/* excel057ページ「トランザクション処理を行う」画像前後のテキスト用 */
.ex057_wdt1{
	width:424px;	/* 前後の画像の幅 */
}
.ex057_wdt2{
	width:424px;	/* 前後の画像の幅 */
}
/* excel058ページ「更新に必要なアクセス回数を減らす」の画像とテキスト */
.ex058_wdt1{
	width:197px;		/* 関連画像の最小サイズ */
}
.ex058_wdt2{
	width:260px;	/* 関連画像の最小サイズ */
}
/* excel060ページ画像間の矢印 */
.ex060_wdt1{
	width:455px;	/* 関連画像の最小サイズ */
}
.ex060_wdt2{
	width:399px;	/* 関連画像の最小サイズ */
}
.ex062_wdt2{
	width:353px;	/* 関連画像の最小サイズ */
}
.ex063_wdt1{
	width:435px;	/* 関連画像の最小サイズ */
}
.ex063_wdt2{
	width:444px;	/* 関連画像の最小サイズ */
}
.ex063_wdt1{
	width:192px;	/* 関連画像の最小サイズ */
}
.ex063_wdt2{
	width:438px;	/* 関連画像の最小サイズ */
}
.ex082_wdt{
	width:377px;	/* 関連画像の最小サイズ */
}
.ex083_wdt{
	width:290px;	/* 関連画像の最小サイズ */
}
.ex084_wdt1{
	width:375px;	/* 関連画像の最小サイズ */
}
.ex084_wdt2{
	width:197px;	/* 関連画像の最小サイズ */
}
.ex084_wdt3{
	width:260px;	/* 関連画像の最小サイズ */
}
.ex086_wdt{
	width:502px;	/* 関連画像の最小サイズ */
}
.ex087_wdt1{
	width:344px;	/* 関連画像の最小サイズ */
}
.ex087_wdt2{
	width:416px;	/* 関連画像の最小サイズ */
}
.ex088_wdt{
	width:361px;	/* 関連画像の最小サイズ */
}
.ex091_wdt{
	width:300px;	/* pre タグの幅（適当な感じ…。） */
}

/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1240px以下*/
@media screen and (max-width: 1240px){
  /*必要ならばここにコードを書く*/
}

/*1030px以下*/
@media screen and (max-width: 1030px){
  /*必要ならばここにコードを書く*/
}

/*768px以下*/
@media screen and (max-width: 768px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}